> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Release universe

> Release and Reinitialize the universe to its initial state.

This immediately returns and handles reset/initialization in the background.
Only gcalendar and notion setup methods use sandbox (which call reset internally).
Others need explicit reset before re-initialization.



## OpenAPI

````yaml post /universes/{universe_instance_id}/release
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /universes/{universe_instance_id}/release:
    post:
      tags:
        - Universe
      summary: Release universe
      description: >-
        Release and Reinitialize the universe to its initial state.


        This immediately returns and handles reset/initialization in the
        background.

        Only gcalendar and notion setup methods use sandbox (which call reset
        internally).

        Others need explicit reset before re-initialization.
      operationId: release_universe_universes__universe_instance_id__release_post
      parameters:
        - name: universe_instance_id
          in: path
          required: true
          schema:
            type: string
            title: Universe Instance Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReleaseUniverseResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ReleaseUniverseResponse:
      properties:
        message:
          type: string
          title: Message
          description: Release confirmation message
        released_at:
          type: string
          format: date-time
          title: Released At
          description: Timestamp of release
      type: object
      required:
        - message
        - released_at
      title: ReleaseUniverseResponse
      description: Response after releasing a universe to idle state
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````